Get non eligible products
GET
/api/v2.0/stores/{storeId}/non-eligible-products
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products") .get() .addHeader("Authorization", "Bearer <token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products \ --header 'Authorization: Bearer <token>'Gets a paginated list of non-eligible products.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storeId
required
string
The unique identifier of the store.
Example
your-store-idQuery Parameters
Section titled “Query Parameters”offset
integer format: int32
The starting index of the paginated data (must be greater than or equal to 0).
limit
integer format: int32
The number of records per page (must be between 1 and 100).
Responses
Section titled “Responses”The paginated list of non-eligible products was successfully retrieved.
Media typeapplication/json
object
data
Array<object>
object
id
integer format: int32
description
string
product_id
The external product id that is non eligible
string
product_id_prefix
Prefix for filtering products with matching product IDs.
string
product_category_id
The product category id that identifies all related products as non eligible
string
subsystem
string
expires_at
string
total_records
integer format: int32
offset
integer format: int32
limit
integer format: int32
Examplegenerated
{ "data": [ { "id": 1, "description": "example", "product_id": "example", "product_id_prefix": "example", "product_category_id": "example", "subsystem": "example", "expires_at": "example" } ], "total_records": 1, "offset": 1, "limit": 1}Throws an exception if ‘offset’ is less than 0.
Throws an exception if ‘limit’ is less than or equal to 0 or greater than 100.
Media typeapplication/json
object
is_ok
boolean
details
string
Examplegenerated
{ "is_ok": true, "details": "example"}